@import "libs/shared/assets/src/global-style/variable";

//::ng-deep {
//    .ant-checkbox {
//        display: none;
//    }
//}

.custom-select {
    ::ng-deep {
        .ant-select-multiple .ant-select-selection-item {
            display: none;
        }
        .ant-select {
            margin-top: 16px;
        }
    }
}

@media screen and (max-width: 1366px) {
    .custom-icon {
        right: 0.5rem !important;
    }
    .custom-tag {
        width: 97px !important;
    }
}

.custom-tag {
    background: #e8eaf6;
    margin: 10px 0px;
    padding: 0px 8px;
    font-weight: 400;
    font-size: 12px;
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
    width: 100px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.custom-icon {
    font-size: 10px;
    padding: 5px;
    background: #e8eaf6;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
    border-top: 1px solid #d9dbe9;
    border-right: 1px solid #d9dbe9;
    border-bottom: 1px solid #d9dbe9;
}

.custom-label {
    ::ng-deep {
        label.ant-form-item-required:not(.ant-form-item-required-mark-optional)::before {
            order: 1 !important;
        }
    }
}

.color-error {
    color: $bg-error-red;
    font-size: 12px;
    font-family: avertaL, sans-serif;
    margin-top: 8px;
}

.tr-for-class {
    ul {
        margin: 0;
    }
}
